package com.gxwebsoft.oa.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gxwebsoft.oa.mapper.TaskUserMapper;
import com.gxwebsoft.oa.service.TaskUserService;
import com.gxwebsoft.oa.entity.TaskUser;
import com.gxwebsoft.oa.param.TaskUserParam;
import com.gxwebsoft.common.core.web.PageParam;
import com.gxwebsoft.common.core.web.PageResult;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 工单成员Service实现
 *
 * @author 科技小王子
 * @since 2023-03-06 12:00:41
 */
@Service
public class TaskUserServiceImpl extends ServiceImpl<TaskUserMapper, TaskUser> implements TaskUserService {

    @Override
    public PageResult<TaskUser> pageRel(TaskUserParam param) {
        PageParam<TaskUser, TaskUserParam> page = new PageParam<>(param);
        //page.setDefaultOrder("create_time desc");
        List<TaskUser> list = baseMapper.selectPageRel(page, param);
        return new PageResult<>(list, page.getTotal());
    }

    @Override
    public List<TaskUser> listRel(TaskUserParam param) {
        List<TaskUser> list = baseMapper.selectListRel(param);
        // 排序
        PageParam<TaskUser, TaskUserParam> page = new PageParam<>();
        //page.setDefaultOrder("create_time desc");
        return page.sortRecords(list);
    }

    @Override
    public TaskUser getByIdRel(Integer taskUserId) {
        TaskUserParam param = new TaskUserParam();
        param.setTaskUserId(taskUserId);
        return param.getOne(baseMapper.selectListRel(param));
    }

}
